Liferay.Loader.define("journal-web@4.0.125/js/ImportTranslation.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = ImportTranslation;

    var _button = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/button"));

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var VALID_EXTENSIONS = '.xliff,.xlf';

    function ImportTranslation(_ref) {
      var saveDraftBtnId = _ref.saveDraftBtnId,
          submitBtnId = _ref.submitBtnId,
          _ref$worflowPending = _ref.worflowPending,
          worflowPending = _ref$worflowPending === void 0 ? false : _ref$worflowPending;

      var _useState = (0, _react.useState)(),
          _useState2 = _slicedToArray(_useState, 2),
          importFile = _useState2[0],
          setImportFile = _useState2[1];

      var inputFileRef = (0, _react.useRef)();
      (0, _react.useEffect)(function () {
        Liferay.Util.toggleDisabled('#' + saveDraftBtnId, !importFile);
        Liferay.Util.toggleDisabled('#' + submitBtnId, !importFile || worflowPending);
      }, [importFile, saveDraftBtnId, submitBtnId, worflowPending]);
      return (/*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("h3", {
          className: "h4"
        }, Liferay.Language.get('import-file')), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement("span", {
          className: "text-secondary"
        }, Liferay.Language.get('please-upload-your-translation-file'))), /*#__PURE__*/_react.default.createElement("div", {
          className: "mb-5 mt-4"
        }, /*#__PURE__*/_react.default.createElement("p", {
          className: "h5"
        }, Liferay.Language.get('file-upload')), /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          accept: VALID_EXTENSIONS,
          className: "d-none",
          name: "file",
          onChange: function onChange(e) {
            setImportFile(e.target.files[0]);
          },
          ref: inputFileRef,
          type: "file"
        }), !importFile && /*#__PURE__*/_react.default.createElement(_button.default, {
          displayType: "secondary",
          onClick: function onClick() {
            inputFileRef.current.click();
          }
        }, Liferay.Language.get('select-file')), importFile && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("strong", null, importFile.name), /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          displayType: "unstyled",
          onClick: function onClick() {
            setImportFile(null);
          },
          symbol: "times-circle",
          title: Liferay.Language.get('delete')
        }))))
      );
    }
    //# sourceMappingURL=ImportTranslation.es.js.map
  }
});
//# sourceMappingURL=ImportTranslation.es.js.map